<Cabbage> bounds(0, 0, 0, 0)
form caption("Erin FM") size(400, 300), colour(255, 110, 182), pluginId("def1")
keyboard bounds(10, 182, 381, 95) channel("keyboard2") mouseOverKeyColour(255, 110, 182, 255) whiteNoteColour(0, 255, 0, 255)
vslider bounds(100, 10, 50, 150) channel("p_bend") range(0, 200, 0, 1, 0.001) trackerColour(0, 255, 0, 255) colour(0, 255, 0, 255) textColour(0, 0, 0, 255) identChannel("p_bend") text("Bend")  
vslider bounds(20, 10, 50, 150) channel("v_depth") range(1, 500, 0, 1, 0.001) trackerColour(0, 255, 0, 255) colour(0, 255, 0, 255) textColour(0, 0, 0, 255) identChannel("v_depth") text("Depth") velocity(0.48) 
vslider bounds(60, 10, 50, 150) channel("v_freq") range(1, 50, 0, 1, 0.001) trackerColour(0, 255, 0, 255) colour(0, 255, 0, 255) textColour(0, 0, 0, 255) identChannel("v_freq") text("Freq")
vslider bounds(240, 10, 50, 150) channel("sus") range(0.2, 10, 0, 1, 0.001) trackerColour(0, 255, 0, 255) colour(0, 255, 0, 255) textColour(0, 0, 0, 255) identChannel("sus") text("Sustain")
vslider bounds(280, 10, 50, 150) channel("mod_index") range(0, 25, 0, 1, 0.001) trackerColour(0, 255, 0, 255) colour(0, 255, 0, 255) textColour(0, 0, 0, 255) identChannel("mod_index") text("Index")
vslider bounds(320, 10, 50, 150) channel("cm_ratio") range(0, 1, 0, 1, 0.001) trackerColour(0, 255, 0, 255) colour(0, 255, 0, 255) textColour(0, 0, 0, 255) identChannel("cm_ratio") text("Ratio")
</Cabbage>
<CsoundSynthesizer>
<CsOptions>
-n -d -+rtmidi=NULL -M0 -m0d --midi-key-cps=5 --midi-velocity-amp=4
</CsOptions>
<CsInstruments>

ksmps = 32
nchnls = 2
0dbfs = 1

gisine ftgen 0,0,8192,10,1 


instr 1

    iamp    =   p4
    icps    =   p5
    
   
    kmod    chnget "cm_ratio"
    kndx    chnget "mod_index"
    kcps    chnget  "p_bend"
    kvibd   chnget  "v_depth"
    kvibf   chnget  "v_freq"
    irel    chnget  "sus"
    
    
    kenv    madsr .1, .2, .5, .1+irel
    klfo    lfo   kvibd, kvibf
        
    aout    foscil iamp*kenv, icps+kcps+klfo, 1, kmod, kndx, gisine     
                             
            outs aout, aout

endin

</CsInstruments>
<CsScore>

f0 z
</CsScore>
</CsoundSynthesizer>

;;Example by Erin Demastes www.erindemastes.com